SQLITE3_BLOB_BYTES(3)

NAME
sqlite3_blob_bytes - Return The Size Of Open BLOB

SYNOPSIS
int
sqlite3_blob_bytes(sqlite3_blob *);

DESCRIPTION
Returns the size in bytes of the BLOB accessible via the successfully opened BLOB handle in its only argument. The incremental blob I/O routines can only read or overwriting existing blob content; they cannot change the size of a blob.

This routine only works on a BLOB handle which has been created by a prior successful call to sqlite3_blob_open() and which has not been closed by sqlite3_blob_close(). Passing any other pointer in to this routine results in undefined and probably undesirable behavior.

SEE ALSO
sqlite3_blob(3), sqlite3_blob_close(3), sqlite3_blob_open(3)